Bug 2920 - lib/util.c smb_panic2
lib/util.c smb_panic2
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.14a
x86 Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 18:59 UTC by Thierry Querette
Modified: 2005-09-28 08:07 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Querette 2005-07-25 18:59:32 UTC
Hi,


I need some help.

Everyday samba hangs and I can´t find the reason.

It happens around 4PM as you can see in the /var/log/messages and some time in
the morning when people start to work.
In the moment I´m restarting samba and cups as a workaround




Here follows the error messages:


-------------------------

Jul 25 16:14:26 bankok smbd[19270]: [2005/07/25 16:14:26, 0]
lib/util_sock.c:write_socket_data(430)
Jul 25 16:14:26 bankok smbd[19270]:   write_socket_data: write failure. Error =
Connection reset by peer
Jul 25 16:14:26 bankok smbd[19270]: [2005/07/25 16:14:26, 0]
lib/util_sock.c:write_socket(455)
Jul 25 16:14:26 bankok smbd[19270]:   write_socket: Error writing 4 bytes to
socket 4: ERRNO = Connection reset by peer
Jul 25 16:14:26 bankok smbd[19270]: [2005/07/25 16:14:26, 0]
lib/util_sock.c:send_smb(647)
Jul 25 16:14:26 bankok smbd[19270]:   Error writing 4 bytes to client. -1.
(Connection reset by peer)

-------------------------

Jul 25 15:53:21 bankok smbd[12058]:
Jul 25 15:54:02 bankok smbd[12535]: [2005/07/25 15:54:02, 0]
lib/fault.c:fault_report(36)
Jul 25 15:54:02 bankok smbd[12535]:  
===============================================================
Jul 25 15:54:02 bankok smbd[12535]: [2005/07/25 15:54:02, 0]
lib/fault.c:fault_report(37)
Jul 25 15:54:02 bankok smbd[12535]:   INTERNAL ERROR: Signal 11 in pid 12535
(3.0.14a-4.1-SUSE)
Jul 25 15:54:02 bankok smbd[12535]:   Please read the appendix Bugs of the Samba
HOWTO collection
Jul 25 15:54:02 bankok smbd[12535]: [2005/07/25 15:54:02, 0]
lib/fault.c:fault_report(39)
Jul 25 15:54:02 bankok smbd[12535]:  
===============================================================
Jul 25 15:54:02 bankok smbd[12535]: [2005/07/25 15:54:02, 0]
lib/util.c:smb_panic2(1463)
Jul 25 15:54:02 bankok smbd[12535]:   PANIC: internal error
Jul 25 15:54:02 bankok smbd[12535]: [2005/07/25 15:54:02, 0]
lib/util.c:smb_panic2(1471)
Jul 25 15:54:02 bankok smbd[12535]:   BACKTRACE: 13 stack frames:
Jul 25 15:54:02 bankok smbd[12535]:    #0 /usr/sbin/smbd(smb_panic2+0x120)
[0x820ca30]
Jul 25 15:54:02 bankok smbd[12535]:    #1 /usr/sbin/smbd(smb_panic+0x26) [0x820cc06]
Jul 25 15:54:02 bankok smbd[12535]:    #2 /usr/sbin/smbd [0x81f7550]
Jul 25 15:54:02 bankok smbd[12535]:    #3 [0xffffe420]
Jul 25 15:54:02 bankok smbd[12535]:    #4
/usr/sbin/smbd(cups_cache_reload+0x159) [0x81f0469]
Jul 25 15:54:02 bankok smbd[12535]:    #5
/usr/sbin/smbd(pcap_cache_reload+0x371) [0x81edcd1]
Jul 25 15:54:02 bankok smbd[12535]:    #6 /usr/sbin/smbd(reload_printers+0x33)
[0x828f303]
Jul 25 15:54:02 bankok smbd[12535]:    #7 /usr/sbin/smbd(check_reload+0xc2)
[0x80dfe22]
Jul 25 15:54:02 bankok smbd[12535]:    #8 /usr/sbin/smbd [0x80dff75]
Jul 25 15:54:02 bankok smbd[12535]:    #9 /usr/sbin/smbd(smbd_process+0x104)
[0x80e1ea4]
Jul 25 15:54:02 bankok smbd[12535]:    #10 /usr/sbin/smbd(main+0x530) [0x8290750]
Jul 25 15:54:02 bankok smbd[12535]:    #11
/lib/tls/libc.so.6(__libc_start_main+0xe0) [0x402c2b10]
Jul 25 15:54:02 bankok smbd[12535]:    #12 /usr/sbin/smbd [0x807a431]



-------------------- global section of smb.conf

[global]
        workgroup = corp
        printing = cups
        printcap name = cups
        printcap cache time = 750
        cups options = raw
        printer admin = @ntadmin, root, administrator
        username map = /etc/samba/smbusers
        map to guest = Bad User
        include = /etc/samba/dhcp.conf
 
        logon drive = P:
        security = user
        encrypt passwords = yes
        add machine script = /usr/sbin/useradd  -c Machine -d /var/lib/nobody -s
/bin/false %m$
        domain logons = yes
        domain master = yes
        wins support = yes
        wins proxy = yes
        ldap idmap suffix = ou=Idmap
        ldap machine suffix = ou=Computers
        local master = yes
        netbios name = bankok
        os level = 65
        preferred master = yes
        smb passwd file = /etc/samba/smbpasswd
        passdb backend = smbpasswd
        unix password sync = yes
        passwd program = /usr/bin/passwd %u
        passwd chat = *New*password* %n\n *Re-enter*new*password* %n\n
*Password*changed*
 
# Veto Files
        veto files = /*.mp3/*.wmv/*.wma/*.ogg
 
[homes]
        comment = Home Directories
        valid users = %S
        browseable = no
        read only = no
        inherit acls = yes
 
[profiles]
        comment = Network Profiles Service
        path = %H
        read only = no
        store dos attributes = yes
        create mask = 0600
        directory mask = 0700
 
[users]
        comment = All users
        path = /home
        read only = no
        inherit acls = yes
        veto files = /aquota.user/groups/shares/
[groups]
        comment = All groups
        path = /home/groups
        read only = no
        inherit acls = yes
                                                                               
                                                                               
                                       
[pdf]
        comment = PDF creator
        path = /var/tmp
        printable = yes
#       print command = /usr/bin/smbprngenpdf -J '%J' -c %c -s %s -u '%u' -z %z
        create mask = 0600
                                                                               
                                                                               
                                       
[printers]
        comment = All Printers
        path = /var/tmp
        printable = yes
        create mask = 0600
        browseable = no
                                                                               
                                                                               
                                       
[print$]
        comment = Printer Drivers
        path = /var/lib/samba/drivers
        write list = @ntadmin root
        force group = ntadmin
        create mask = 0664
        directory mask = 0775
                                                                               
                                                                               
                                       
______________________________________________________________________________ 
                                                                               
                                                                               
                                     

---------------------- shares are as follows

[data]
        browseable = yes
        comment = Dados
        writeable = yes
        write list = @comp
        path = /home/share/docs/
        inherit acls = yes
        create mask = 0660
        directory mask = 0770
        force group = comp
        guest ok = yes
        vfs objects = recycle
                                                                               
                                                                               
                                       
                                                                               
                                                                               
                                       
[sales]
        browseable = yes
        comment = Contabilidade
        writeable = yes
        write list = @sale
        path = /home/share/sales
        inherit acls = yes
        create mask = 0660
        directory mask = 0770
        force group = sale
        guest ok = no
Comment 1 Gerald (Jerry) Carter 2005-09-28 08:07:05 UTC
This should be fixed in 3.0.20.